Bug 1269117 - logvol kickstart examples are contradictory
logvol kickstart examples are contradictory
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Installation_Guide (Show other bugs)
7.2
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Clayton Spicer
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-06 07:45 EDT by Tristan hoar
Modified: 2016-01-20 08:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-20 08:03:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tristan hoar 2015-10-06 07:45:23 EDT
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7-Beta/html/Installation_Guide/sect-kickstart-syntax.html#idp5437416
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Installation_Guide/sect-kickstart-syntax.html#idp6984552

Section Number and Name: 

Describe the issue: 
--percent says it cant be used with size or grow. --grow does not mention this limitation and the examples at the bottom of the section include --grow --size and --percent which is incorrect as per the documentation

Suggestions for improvement: 
under --grow state that it should not be used with --percent (I've tried this on a 7.1 install and whilst allowed the server grew the volume to fill the LV)
under the example useage have valid syntax, with 2 sections 1 with --grow and --size and another with --percent one just 1 section that is correct.

Additional information: 
having just tested a kickstart using 
logvol /  --fstype="xfs" --percent=75 --name=lv_root --vgname=vg_master
I can confirm that works correctly
Comment 2 Laura Bailey 2015-10-12 05:06:53 EDT
Reassigning all of my bugs to the new DPM Tomas Capek.
Comment 5 Petr Bokoc 2015-12-17 10:12:30 EST
Hello,

While investigating we found that the issue was somewhat different from what was reported. The actual behavior of --grow is that it will always attempt to fill all remaining space in the volume group (after all other volumes with statically defined sizes have been created), and it can be used with both --percent= and --size=. 

The actual behavior is:

1. The logical volume is created with a size set by either the --size= or --percent= parameter.
2. If the --grow option is present, the logical volume will then expand to fill all remaining space within the volume group, unless
3. The --maxsize= option is also used on the same volume, placing a limit on how much the volume can grow instead of filling all remaining space in the volume group.

A fix has been posted to the guide and descriptions for --size=, --percent=, --grow and --maxsize= should now be clearer.
Comment 6 Petr Bokoc 2016-01-20 08:03:31 EST
Update published at https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Installation_Guide/sect-kickstart-syntax.html#sect-kickstart-commands

(scroll down or search for "logvol (optional)"

Note You need to log in before you can comment on or make changes to this bug.